Bug 52253 - No (easy) way to set yppasswdd options.
No (easy) way to set yppasswdd options.
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-21 21:39 EDT by lars
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-19 10:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description lars 2001-08-21 21:39:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
It is common practice to place source files for NIS maps outside of /etc
(e.g., in /etc/nis) so that NIS users do not, by default, have accounts on
the NIS server.  When this is done it is necessary to tell yppasswdd where
to find the passwd file.

/etc/init.d/ypserv references the YPPASSWDD_ARGS environment variable, but
provides no way of setting it (e.g., via /etc/sysconfig/yppasswdd), other
than (a) editing the rc script directly, or (b) placing the definition in
/etc/sysconfig/network, which is sourced by the script.

The script should instead source /etc/sysconfig/yppasswdd for options,
which, in addition to YPPASSWDD_ARGS, should also support ETCDIR (for
setting an argument for the -D switch), PASSWDFILE (for the -p switch) and
SHADOWFILE (for the -s switch).
These variables should be handled something like this:

if [ "$ETCDIR" ]; then

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Not a crashing bug.

Additional info:
Comment 1 Florian La Roche 2001-08-27 14:23:27 EDT
The same thing can be done with YPPASWDD_ARGS in /etc/sysconfig/network,
so I don't see a reason to add new files or add further options unless you
can show me things that are currently not possible to achieve.


Florian La Roche
Comment 2 lars 2001-08-27 17:19:05 EDT
It's a ludicrous idea that yppasswdd options should be set in
/etc/sysconfig/network; talk about overloading a config file far beyond its
original intent!

Given that philosophy, why do we have seperate config files for:

  - identd
  - vnc
  - samba
  - squid

Etc. and so on.  *EVERY* *SINGLE* *ONE* of those files is nothing but shell
variable assignments that could just as easily be placed in /etc/sysconfig/network.

I'm going to go out on a limb and answer my own question: because it's far more
logical to look for samba in /etc/sysconfig/samba, and squid related options in

By the same token, having the yppasswdd start up script source
/etc/sysconfig/yppasswdd would be much more in the "RedHat style", would make
far more sense, and would allow for a far more intelligent startup script (as
described in the original posting).
Comment 3 Alexander Larsson 2002-03-27 14:58:11 EST
Implemented in ypserv-2.2-6

Note You need to log in before you can comment on or make changes to this bug.